Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties | List of all members
ObjectPool Class Reference

ObjectPoolの管理クラス More...

## Static Public Member Functions
static void | AdvancedPool (IEnumerable< PoolingItem > items)
| 事前プールする。 More...
static Object | Instantiate (Object original, Vector3 position, Quaternion rotation)
| オブジェクトをインスタンス化する。 More...
static Object | Instantiate (Object original, Vector3 position, Quaternion rotation, Transform parent)
| オブジェクトをインスタンス化する。 More...
static Object | Instantiate (Object original)
| オブジェクトをインスタンス化する。 More...
static Object | Instantiate (Object original, Transform parent)
| オブジェクトをインスタンス化する。 More...
static Object | Instantiate (Object original, Transform parent, bool instantiateInWorldSpace)
| オブジェクトをインスタンス化する。 More...
static T | Instantiate< T > (T original)
| オブジェクトをインスタンス化する。 More...
static T | Instantiate< T > (T original, Vector3 position, Quaternion rotation)
| オブジェクトをインスタンス化する。 More...
static T | Instantiate< T > (T original, Vector3 position, Quaternion rotation, Transform parent)
| オブジェクトをインスタンス化する。 More...
static T | Instantiate< T > (T original, Transform parent)
| オブジェクトをインスタンス化する。 More...
static T | Instantiate< T > (T original, Transform parent, bool instantiateInWorldSpace)
| オブジェクトをインスタンス化する。 More...
static void | Destroy (GameObject gameObject)
| GameObjectを破棄する。 More...
static void | DestroyImmediate (GameObject gameObject)
| GameObjectを即座に破棄する。 More...

## Properties
static int | advancedRatePerFrame`[get, set]`
| 事前プールの処理フレームレート(画面のリフレッシュレートに対する倍率) More...
static int | advancedFrameRate`[get, set]`
| 事前プールの処理フレームレート More...
static bool | isReady`[get]`
| 事前プールが完了しているかを返す。 More...

## Detailed Description

ObjectPoolの管理クラス

## Member Function Documentation

static void AdvancedPool | ( | IEnumerable< PoolingItem > | items | ) |
| static

事前プールする。

Parameters

  items | プールするオブジェクトリスト

static void Destroy | ( | GameObject | gameObject | ) |
| static

GameObjectを破棄する。

Parameters

  gameObject | 破棄するGameObject

プール管理下のGameObjectであれば、プールへ返却する。
管理下でなければObject.Destroyにより破棄する。

static void DestroyImmediate | ( | GameObject | gameObject | ) |
| static

GameObjectを即座に破棄する。

Parameters

  gameObject | 破棄するGameObject

プール管理下のGameObjectであれば、プールへ返却する。
管理下でなければObject.DestroyImmediateにより破棄する。

static Object Instantiate | ( | Object | original,
|  | Vector3 | position,
|  | Quaternion | rotation
| ) |  |
| static

オブジェクトをインスタンス化する。

Parameters

  original | オリジナルのオブジェクト
  position | 位置
  rotation | 回転

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

static Object Instantiate | ( | Object | original,
|  | Vector3 | position,
|  | Quaternion | rotation,
|  | Transform | parent
| ) |  |
| static

オブジェクトをインスタンス化する。

Parameters

  original | オリジナルのオブジェクト
  position | 位置
  rotation | 回転
  parent | 親トランスフォーム

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

static Object Instantiate | ( | Object | original | ) |
| static

オブジェクトをインスタンス化する。

Parameters

  original | オリジナルのオブジェクト

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

static Object Instantiate | ( | Object | original,
|  | Transform | parent
| ) |  |
| static

オブジェクトをインスタンス化する。

Parameters

  original | オリジナルのオブジェクト
  parent | 親トランスフォーム

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

static Object Instantiate | ( | Object | original,
|  | Transform | parent,
|  | bool | instantiateInWorldSpace
| ) |  |
| static

オブジェクトをインスタンス化する。

Parameters

  original | オリジナルのオブジェクト
  parent | 親トランスフォーム
  instantiateInWorldSpace | parent を指定するときに、元のワールドの位置が維持されるかどうか

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

static T Instantiate< T > | ( | T | original | ) |
| static

オブジェクトをインスタンス化する。

Template Parameters

  T | オブジェクトの型

Parameters

  original | オリジナルのオブジェクト

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

Type Constraints

  T | : | Object |

static T Instantiate< T > | ( | T | original,
|  | Vector3 | position,
|  | Quaternion | rotation
| ) |  |
| static

オブジェクトをインスタンス化する。

Template Parameters

  T | オブジェクトの型

Parameters

  original | オリジナルのオブジェクト
  position | 位置
  rotation | 回転

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

Type Constraints

  T | : | Object |

static T Instantiate< T > | ( | T | original,
|  | Vector3 | position,
|  | Quaternion | rotation,
|  | Transform | parent
| ) |  |
| static

オブジェクトをインスタンス化する。

Template Parameters

  T | オブジェクトの型

Parameters

  original | オリジナルのオブジェクト
  position | 位置
  rotation | 回転
  parent | 親トランスフォーム

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

Type Constraints

  T | : | Object |

static T Instantiate< T > | ( | T | original,
|  | Transform | parent
| ) |  |
| static

オブジェクトをインスタンス化する。

Template Parameters

  T | オブジェクトの型

Parameters

  original | オリジナルのオブジェクト
  parent | 親トランスフォーム

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

Type Constraints

  T | : | Object |

static T Instantiate< T > | ( | T | original,
|  | Transform | parent,
|  | bool | instantiateInWorldSpace
| ) |  |
| static

オブジェクトをインスタンス化する。

Template Parameters

  T | オブジェクトの型

Parameters

  original | オリジナルのオブジェクト
  parent | 親トランスフォーム
  instantiateInWorldSpace | parent を指定するときに、元のワールドの位置が維持されるかどうか

Returns
  インスタンス化されたオブジェクト

プールされているオブジェクトがある場合はそのオブジェクトを再開させる。
プールがない場合はObject.Instantiateにより新たにインスタンス化する。

Type Constraints

  T | : | Object |

## Property Documentation

int advancedFrameRate
| static get set

事前プールの処理フレームレート

このフレームレートを超えて処理時間がかかった場合は次フレームまで待機する。
advancedFrameRateとadvancedRatePerFrameの両方に0以下を指定した場合は、全てのプールが完了するまで待機しない
デフォルト値は0。

int advancedRatePerFrame
| static get set

事前プールの処理フレームレート(画面のリフレッシュレートに対する倍率)

このフレームレートを超えて処理時間がかかった場合は次フレームまで待機する。
デフォルト値は10。
0以下を指定した場合はadvancedFrameRateを使用する。

bool isReady
| static get

事前プールが完了しているかを返す。